name: Build and Deploy NextJS SculptedArc Website
on: [push]

jobs:
  build-and-deploy:
    runs-on: ubuntu-latest

    defaults:
      run:
        shell: sh

    steps:
      # 1. Log into your self-hosted gitea container storage layer
      - name: Log in to gitea Container Registry
        uses: docker/login-action@v4
        with:
          registry: gitea.sculpted-arc.co.uk # Change to your gitea domain
          username: ${{ gitea.actor }}
          password: ${{ secrets.TOKEN_GITEA }} # Store a personal access token in your repo secrets for security